commit:     fb9e776de9246af9a35e1209eb25bede7499ecae
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Sat Aug  7 22:34:05 2021 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Sat Aug  7 22:34:05 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fb9e776d

dev-lua/lua-openssl: re-enable TestCRL test

Fixed by upstream and works for me.

Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 .../lua-openssl-0.8.0_p6-testcrl-openssl.patch     | 56 ++++++++++++++++++++++
 dev-lua/lua-openssl/lua-openssl-0.8.0_p6-r1.ebuild |  7 +--
 2 files changed, 60 insertions(+), 3 deletions(-)

diff --git 
a/dev-lua/lua-openssl/files/lua-openssl-0.8.0_p6-testcrl-openssl.patch 
b/dev-lua/lua-openssl/files/lua-openssl-0.8.0_p6-testcrl-openssl.patch
new file mode 100644
index 00000000000..370df75c4d9
--- /dev/null
+++ b/dev-lua/lua-openssl/files/lua-openssl-0.8.0_p6-testcrl-openssl.patch
@@ -0,0 +1,56 @@
+From 3fbe31a6d6e76ddac08d5da8eaa1c00fa54060e7 Mon Sep 17 00:00:00 2001
+From: zhaozg <[email protected]>
+Date: Sun, 1 Aug 2021 18:50:43 +0800
+Subject: [PATCH] update openssl.crl
+
+---
+ src/crl.c           | 9 +++++----
+ test/5.x509_crl.lua | 3 ++-
+ 2 files changed, 7 insertions(+), 5 deletions(-)
+
+diff --git a/src/crl.c b/src/crl.c
+index d35e3e0..091c31e 100644
+--- a/src/crl.c
++++ b/src/crl.c
+@@ -525,13 +525,14 @@ static LUA_FUNCTION(openssl_crl_nextUpdate)
+ /***
+ get updateTime time
+ @function updateTime
+-@treturn string lastUpdate
++@treturn asn1_time lastUpdate
++@treturn asn1_time nextUpdate
+ */
+ /***
+ set updateTime time
+ @function updateTime
+ @tparam[opt=os.time()] lastUpdate, default use current time
+-@tparam number periord periord how long time(seconds)
++@tparam number period period how long time(seconds)
+ @treturn boolean result
+ */
+ static LUA_FUNCTION(openssl_crl_updateTime)
+@@ -561,8 +562,8 @@ static LUA_FUNCTION(openssl_crl_updateTime)
+     else
+     {
+       last = luaL_checkint(L, 2);
+-      next = last + luaL_checkint(L, 3);
+-      luaL_argcheck(L, next > last, 3, "value must after #2");
++      next = luaL_checkint(L, 3);
++      next = last + next;
+     }
+ 
+     ltm = ASN1_TIME_new();
+diff --git a/test/5.x509_crl.lua b/test/5.x509_crl.lua
+index 747fb0e..d0686c9 100644
+--- a/test/5.x509_crl.lua
++++ b/test/5.x509_crl.lua
+@@ -45,7 +45,8 @@ function TestCRL:testNew()
+   assert(other:verify(ca.cacert))
+   local pem = other:export()
+ 
+-  assert(other:updateTime(os.time(), os.time()+3600))
++  assert(other:updateTime(3600))
++  assert(other:updateTime(os.time(), 3600))
+ 
+   assert(other:extensions({
+     openssl.x509.extension.new_extension(

diff --git a/dev-lua/lua-openssl/lua-openssl-0.8.0_p6-r1.ebuild 
b/dev-lua/lua-openssl/lua-openssl-0.8.0_p6-r1.ebuild
index c91859384d3..47fb802ba0d 100644
--- a/dev-lua/lua-openssl/lua-openssl-0.8.0_p6-r1.ebuild
+++ b/dev-lua/lua-openssl/lua-openssl-0.8.0_p6-r1.ebuild
@@ -42,16 +42,17 @@ BDEPEND="
 
 DOCS=( "README.md" "samples/." )
 
+PATCHES=( "${FILESDIR}/${PN}-0.8.0_p6-testcrl-openssl.patch" )
+
 src_prepare() {
        default
 
        # Allow override of LUA* variables
        sed -e '/LUA  /s/:=/?=/g' -e '/LUA_VERSION/s/:=/?=/g' -i Makefile || die
 
-       # Disable TestCMS and TestCRL test suite, as it fails
+       # Disable TestCMS test suite, as it fails
        # See: https://github.com/zhaozg/lua-openssl/issues/230
-       # See: https://github.com/zhaozg/lua-openssl/issues/231
-       sed -e '/6.cms.lua/d' -e '/5.x509_crl.lua/d' -i test/test.lua || die
+       sed -e '/6.cms.lua/d' -i test/test.lua || die
 
        # Prepare needed dependencies (source code files only)
        rm -r deps/{auxiliar,lua-compat} || die

Reply via email to